#!/bin/sh

# script to copy update jars from their staging area to the releases area



source ./parseSiteArg.shsource


if [ "${2}" != "-doit" ] ; then
   echo ""
   echo "    This is a dry run. Add -doit to actually copy"
   echo ""
   doit="--dry-run"
else
   doit=""
fi

echo ""
echo "    Copying new plugins and features "
echo "        from  ${testUpdateSite}"
echo "          to  ${milestoneDirectory}"
echo ""

rsync ${doit}  --ignore-existing -rv -p ${testUpdateSite}/features ${milestoneDirectory}
rsync ${doit}  --ignore-existing -rv -p ${testUpdateSite}/plugins ${milestoneDirectory}

if [ "${doit}" = "--dry-run" ] ; then
   echo ""
   echo "    This was a dry run. Add -doit to actually copy"
   echo ""
   exit 1
fi



